summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-good
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-02-06 22:44:32 +0000
committer Eric Hameleers <alien@slackware.com>2019-02-07 08:59:47 +0100
commitf33950cf4b295a6cae71dc336544d9810fcae87a (patch)
tree7a8884d8874e135c4e96c5d906bd1405e476c391 /source/l/gst-plugins-good
parent05538a2b6dae06b52a4533f94999286b4c89a916 (diff)
downloadcurrent-f33950cf4b295a6cae71dc336544d9810fcae87a.tar.gz
current-f33950cf4b295a6cae71dc336544d9810fcae87a.tar.xz
Wed Feb 6 22:44:32 UTC 201920190206224432
a/hwdata-0.320-noarch-1.txz: Upgraded. a/kernel-generic-4.19.20-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.20-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.20-x86_64-1.txz: Upgraded. a/mcelog-162-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.20-x86-1.txz: Upgraded. d/opencl-headers-2.2-noarch-2.txz: Rebuilt. Don't trigger "#pragma message" in cl_version.h when falling back on a default version of OpenCL to target. Applications such as ffmpeg detect this as an error and fail to compile. k/kernel-source-4.19.20-noarch-1.txz: Upgraded. l/ffmpeg-3.4.5-x86_64-2.txz: Rebuilt. Recompiled against libvpx-1.8.0. Reenabled libsmbclient support. l/gst-plugins-good-1.14.4-x86_64-2.txz: Rebuilt. Recompiled against libvpx-1.8.0. l/libvpx-1.8.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. n/curl-7.64.0-x86_64-1.txz: Upgraded. This release fixes the following security issues: NTLM type-2 out-of-bounds buffer read. NTLMv2 type-3 header stack buffer overflow. SMTP end-of-response out-of-bounds read. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16890 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3822 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3823 (* Security fix *) n/samba-4.9.4-x86_64-2.txz: Rebuilt. Added time.h to libsmbclient.h to fix ffmpeg compatibility. Thanks to USUARIONUEVO. xap/xine-lib-1.2.9-x86_64-4.txz: Rebuilt. Recompiled against libvpx-1.8.0. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/gst-plugins-good')
-rwxr-xr-xsource/l/gst-plugins-good/gst-plugins-good.SlackBuild5
-rw-r--r--source/l/gst-plugins-good/gst-plugins-good.libvpx-1.8.diff21
2 files changed, 25 insertions, 1 deletions
diff --git a/source/l/gst-plugins-good/gst-plugins-good.SlackBuild b/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
index 2444a9644..bf052cace 100755
--- a/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
+++ b/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-good
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION
+# Adapt to removed VP8 decoder post processing flags in libvpx-1.8.x:
+zcat $CWD/gst-plugins-good.libvpx-1.8.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/l/gst-plugins-good/gst-plugins-good.libvpx-1.8.diff b/source/l/gst-plugins-good/gst-plugins-good.libvpx-1.8.diff
new file mode 100644
index 000000000..0d37b44be
--- /dev/null
+++ b/source/l/gst-plugins-good/gst-plugins-good.libvpx-1.8.diff
@@ -0,0 +1,21 @@
+--- ./ext/vpx/gstvpxdec.c.orig 2018-03-23 15:44:48.000000000 -0500
++++ ./ext/vpx/gstvpxdec.c 2019-02-06 15:46:09.031432673 -0600
+@@ -62,18 +62,6 @@
+ {C_FLAGS (VP8_DEBLOCK), "Deblock", "deblock"},
+ {C_FLAGS (VP8_DEMACROBLOCK), "Demacroblock", "demacroblock"},
+ {C_FLAGS (VP8_ADDNOISE), "Add noise", "addnoise"},
+- {C_FLAGS (VP8_DEBUG_TXT_FRAME_INFO),
+- "Print frame information",
+- "visualize-frame-info"},
+- {C_FLAGS (VP8_DEBUG_TXT_MBLK_MODES),
+- "Show macroblock mode selection overlaid on image",
+- "visualize-macroblock-modes"},
+- {C_FLAGS (VP8_DEBUG_TXT_DC_DIFF),
+- "Show dc diff for each macro block overlaid on image",
+- "visualize-dc-diff"},
+- {C_FLAGS (VP8_DEBUG_TXT_RATE_INFO),
+- "Print video rate info",
+- "visualize-rate-info"},
+ {C_FLAGS (VP8_MFQE), "Multi-frame quality enhancement", "mfqe"},
+ {0, NULL, NULL}
+ };